import { ComponentDetails, IFileSystem, IFormatter, IIDE, IState, Project } from "./types";
export declare const baz: () => void;
export declare class Formatter implements IFormatter {
    private ide;
    private linter;
    constructor(project: Project, ide: IIDE);
    format(text: any, fileName: any): any;
}
export declare class FileSystem implements IFileSystem {
    createComponent(component: ComponentDetails): void;
    ensureFolderExists(pathToCheck: string): void;
    ensureFileExists(pathToCheck: string): void;
}
export declare const fancyReactSettings: string[];
export declare const generate: ({ fileSystem, formatter, ide, project }: IState) => void;
